| DocBook: The Definitive Guide 2.0.17 (Alpha)

# task

task — A task to be completed

## Synopsis

### Content Model

    task ::=
    (blockinfo?,
     (indexterm)*,
     (title,titleabbrev?),
     tasksummary?,taskprerequisites?,procedure,example*,taskrelated?)

### Attributes

Common attributes

## Description

A `task` encapsulates a procedure providing an explicit location for summary information, identifying prerequisites for the task, examples, and pointers to related information.

### Processing expectations

Formatted as a displayed block.

### Parents

These elements contain task: `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `chapter`, `glossary`, `glossdiv`, `index`, `listitem`, `msgexplan`, `msgtext`, `partintro`, `preface`, `procedure`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `simplesect`, `step`, `taskprerequisites`, `taskrelated`, `tasksummary`.

### Children

The following elements occur in task: `blockinfo`, `example`, `indexterm`, `procedure`, `taskprerequisites`, `taskrelated`, `tasksummary`, `title`, `titleabbrev`.

table |  | taskprerequisites

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.